//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "MixKeyClrDlgs.h"
//#include "CpkKeyWins.h"
#include "Global.h"
#include "fileman.h"
#include "HelpDlgs.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMixKeyClrDlg *MixKeyClrDlg;
//---------------------------------------------------------------------------
bool __fastcall MixClearKeyring(TForm *Owner, TForm *KeyWin, TTreeView *Treeview,
   bool &clrall)
{
   MixKeyClrDlg = new TMixKeyClrDlg(Owner);

   if (KeyWin->Caption.Pos("Cypherpunk")>0)
      MixKeyClrDlg->Label1->Caption = "Clear Cypherpunk Keyring";
   else if (KeyWin->Caption.Pos("Mixmaster Prob")>0)
      MixKeyClrDlg->Label1->Caption = "Clear Mixmaster Problem Keyring";
   else MixKeyClrDlg->Label1->Caption = "Clear Mixmaster Keyring";

   MixKeyClrDlg->treeview = Treeview; // treeview is here so redraw can be
   MixKeyClrDlg->ShowModal();         // turned off before exit
   bool clr = MixKeyClrDlg->ModalResult==mrOk;
   clrall = !MixKeyClrDlg->DisabledBox->Checked;
   delete MixKeyClrDlg;
   return clr;
}
//---------------------------------------------------------------------------
__fastcall TMixKeyClrDlg::TMixKeyClrDlg(TComponent* Owner)
  : TForm(Owner)
{
   //CenterDialog(this,AppMainForm);
   DisabledBox->Checked = GetAppIni(MixKeepDisabled,"1")=="1";
}
//---------------------------------------------------------------------------
__fastcall TMixKeyClrDlg::~TMixKeyClrDlg()
{
   PutAppIni(MixKeepDisabled,DisabledBox->Checked?"1":"0");
}
//---------------------------------------------------------------------------
void __fastcall TMixKeyClrDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{ // redraw is off here and on in mixkeywin clearallbtnclick
  if (ModalResult==mrOk) SetRedraw(treeview,0);
}
//---------------------------------------------------------------------------
void __fastcall TMixKeyClrDlg::Timer1Timer(TObject *Sender)
{
   Timer1->Enabled = false;
   MyBeep(0);
}
//---------------------------------------------------------------------------
void __fastcall TMixKeyClrDlg::HelpBtnClick(TObject *Sender)
{
   OpenHelp("RemailerKeyrings","Clearing Keyrings","Clear Keyring");
}
//---------------------------------------------------------------------------
void __fastcall TMixKeyClrDlg::DisabledBoxClick(TObject *Sender)
{
   PutAppIni(MixKeepDisabled,DisabledBox->Checked?"1":"0");
}
//---------------------------------------------------------------------------
