//---------------------------------------------------------------------------
#ifndef PgpKeyGenDoDlgsH
#define PgpKeyGenDoDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "mixmaster.h"
//---------------------------------------------------------------------------
bool __fastcall DoGenerateRSAKey(TForm *Owner);
// in mixlib.dll
typedef int __fastcall (*PGPKEYGEN)(int,int,BUFFER*,BUFFER*,char*,char*,int);

class TPgpKeyGenDoDlg : public TForm
{
__published:	// IDE-managed Components
  TImageList *ImageList1;
  TTimer *Timer1;
  TLabel *Label1;
  TTimer *Timer2;
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall Timer2Timer(TObject *Sender);
private:	// User declarations
protected:
  void __fastcall GenerateRSAkey();
public:		// User declarations
  bool keydone;
  int clockpos;
  AnsiString cap;
  PGPKEYGEN pgpkeygen;
  BUFFER *userid,*passwd;
  char pubring[256],secring[256];
  __fastcall TPgpKeyGenDoDlg(TComponent* Owner);
  virtual __fastcall ~TPgpKeyGenDoDlg();
};

//---------------------------------------------------------------------------
extern TPgpKeyGenDoDlg *PgpKeyGenDoDlg;
//---------------------------------------------------------------------------
#endif
