#define _WINSOCKAPI_
//---------------------------------------------------------------------------
#ifndef RemailerDlgsH
#define RemailerDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Tabs.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\Menus.hpp>
#include <HttpProt.hpp>

#include "MixKeyWins.h"
#include "CpkKeyWins1.h"
#include "global.h"
//---------------------------------------------------------------------------
bool  __fastcall GetRemailerStats(TForm *parent, bool attended=true);
bool __fastcall DocumentErrorChecking();
void __fastcall RegisterStatsUpdated();

class TRemailerDlg : public TForm
{
__published:	// IDE-managed Components
 	 THttpCli *HttpCli1;
   TPanel *Panel2;
   TProgressBar *ProgressBar1;
   TButton *GetDocs;
   TButton *CancelBtn;
   TTimer *Timer1;
   TPanel *Panel1;
   TPageControl *PageControl1;
   TTabSheet *TabSheet1;
   TTabSheet *TabSheet3;
   TTabSet *TabSet;
   TLabel *Label1;
   TButton *OkBtn;
   TTabSheet *TabSheet4;
   TGroupBox *MixErrorGrp;
   TCheckBox *MixSyncTyp2Box;
   TCheckBox *MixRepNewBox;
   TCheckBox *MixUpdRingBox;
   TGroupBox *CpunkErrorGrp;
   TCheckBox *CpunkUpdRingBox;
   TCheckBox *CpunkErrorCheck;
   TCheckBox *MixErrorCheck;
   TCheckBox *CpunkRepNewBox;
   TCheckBox *MixListBox;
   TCheckBox *MixRingBox;
   TCheckBox *MixTyp2Box;
   TLabel *Label8;
   TCheckBox *CpunkListBox;
   TCheckBox *CpunkRingBox;
   TLabel *Label9;
   TLabel *Label10;
   TLabel *Label11;
   TLabel *Label12;
   TLabel *Label13;
   TButton *Button1;
   TCheckBox *CpunkSyncTyp1Box;
   TCheckBox *CpunkTyp1Box;
   TBitBtn *BitBtn2;
   TRichEdit *DocMemo;
   TButton *HelpBtn;
	 TTimer *TimeOutTimer;
   TTimer *Timer3;
   TPanel *Panel3;
   TGroupBox *MixmasterGrp;
   TCheckBox *MTyp2Box;
   TCheckBox *MRingBox;
   TCheckBox *MListBox;
   TComboBox *MListCBox;
   TComboBox *MRingCBox;
   TComboBox *MTyp2CBox;
   TButton *UrlsBtn;
   TCheckBox *ErrorCheck;
   TButton *DeleteBtn;
   TButton *ProxyBtn;
   TTabSheet *TabSheet2;
   TPanel *Panel4;
   TGroupBox *CyberpunkGrp;
   TCheckBox *CRingBox;
   TCheckBox *CListBox;
   TCheckBox *CTyp1Box;
   TComboBox *CListCBox;
   TComboBox *CRingCBox;
   TLabel *Label4;
   TCheckBox *CheckBox3;
   TCheckBox *CheckBox4;
   TCheckBox *CheckBox2;
   TCheckBox *CheckBox1;
   TLabel *Label5;
   TCheckBox *CheckBox5;
   TCheckBox *CheckBox8;
   TLabel *Label6;
   TCheckBox *CheckBox6;
   TLabel *Label2;
   TEdit *Edit1;
   TUpDown *UpDown1;
   TLabel *Label7;
   TLabel *Label15;
   TButton *UrlsBtn2;
   TCheckBox *ErrorCheck2;
   TButton *Button4;
   TButton *Button5;
   TLabel *Label3;
  TCheckBox *CpkLoadView;
  TLabel *ConnectInfo;
  TMemo *Logger;
	 void __fastcall GetDocsClick(TObject *Sender);
	 void __fastcall HttpCli1DocBegin(TObject *Sender);
	 void __fastcall HttpCli1DocEnd(TObject *Sender);
	 void __fastcall HttpCli1RequestDone(TObject *Sender, THttpRequest RqType, WORD Error);
   void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
   void __fastcall HttpCli1DocData(TObject *Sender, Pointer Buffer, int Len);
   void __fastcall CancelBtnClick(TObject *Sender);
   void __fastcall Timer1Timer(TObject *Sender);
   void __fastcall PageControl1Changing(TObject *Sender, bool &AllowChange);
   void __fastcall FormShow(TObject *Sender);
   void __fastcall UrlsBtnClick(TObject *Sender);
   void __fastcall TabSetChange(TObject *Sender, int NewTab, bool &AllowChange);
   void __fastcall FormResize(TObject *Sender);
   void __fastcall ErrorCheckClick(TObject *Sender);
   void __fastcall CRingBoxClick(TObject *Sender);
   void __fastcall MRingBoxClick(TObject *Sender);
   void __fastcall HelpBtnClick(TObject *Sender);
   void __fastcall ProxyBtnClick(TObject *Sender);
   void __fastcall TimeOutTimerTimer(TObject *Sender);
   void __fastcall DeleteBtnClick(TObject *Sender);
   void __fastcall Timer3Timer(TObject *Sender);
   void __fastcall UrlsBtn2Click(TObject *Sender);
   void __fastcall ErrorCheck2Click(TObject *Sender);
   void __fastcall PageControl1Change(TObject *Sender);
  void __fastcall HttpCli1SessionConnected(TObject *Sender);
  void __fastcall HttpCli1HeaderBegin(TObject *Sender);
  void __fastcall HttpCli1RequestHeaderEnd(TObject *Sender);
  void __fastcall HttpCli1HeaderEnd(TObject *Sender);
  void __fastcall HttpCli1Trace(TObject *Sender);
  void __fastcall HttpCli1SendBegin(TObject *Sender);
  void __fastcall HttpCli1SendEnd(TObject *Sender);
  void __fastcall HttpCli1RequestHeaderBegin(TObject *Sender);
  
	
private:	// User declarations
public:		// User declarations
   int TimeOut,CurTime;
   TStrings *Tabs;
   AnsiString CurDoc;
   TCheckBox *CurBox;
   double BytesTotal;
   long BytesReceived;
   TStringList *mixnokey;
   TMixKeyList *mixnews,*mixdups,*mixkeys;
   TStringList *cpknokey,*summary;
   TCpkKeyList1 *cpknews,*cpkdups,*cpkkeys;
   AnsiString Cap,Http,MListURL,MRingURL,MTyp2URL,CListURL,CRingURL;
   AnsiString ProxyHost,ProxyPort,ProxyPswd,ProxyUser;
   bool Attended,Cancelled,CancelAnyway,MixSelfUpdate,CpkSelfUpdate;
   __fastcall TRemailerDlg(TComponent* Owner);
   virtual __fastcall ~TRemailerDlg();
   void __fastcall LoadHttpInfo();
   void __fastcall StoreHttpInfo();
   bool __fastcall SaveStatistics();
   void __fastcall SaveErrChkLog(TStrings *Log);
   bool __fastcall Execute(bool attended);
   void __fastcall InitCheckmarks();
   void __fastcall GetAppURLs();
   void __fastcall LoadURLs();
   AnsiString __fastcall GetDefaultURL(AnsiString &path);
   bool __fastcall GetStatistics(AnsiString &forURL, TCheckBox *Box, AnsiString &Doc);
   bool __fastcall IsTab(int Index, AnsiString &TabName); // does Tab->Strings[index]==TabName
   bool __fastcall GetLastErrChkLog(TStrings *Log);
   void __fastcall Display(AnsiString &text); // adds to end
   void __fastcall Summary(AnsiString &text); // adds to end
   bool __fastcall ReportLinesSpill();
   void __fastcall CheckDocumentsExist();
   void __fastcall ClearDocuments();
   void __fastcall GetBtnClick();
   void __fastcall ResetCheckboxes();
   void __fastcall ScrubDocument(AnsiString DocName, TStrings *list);
   int  __fastcall GoodTabs(); // tabcount of good, saveable docs
   void __fastcall log(AnsiString &msg);
   // new functions
   TRichEdit* __fastcall GetRemailerDoc(int Index=-2); // -2 means get current
   TRichEdit* __fastcall GetRemailerDoc(AnsiString DocName);
   TRichEdit* __fastcall CreateDoc(TStrings *lines);
   TRichEdit* __fastcall CreateDoc(AnsiString Filename="");
   TRichEdit* __fastcall CreateDocHidden();
   bool __fastcall RemoveDoc(AnsiString DocName);
   bool __fastcall RemoveDoc(int Index);
   TRichEdit* __fastcall GetDocument(AnsiString &DocName);
   // error checks
   void __fastcall ResetSelfUpdate();
   bool __fastcall CorruptDoc(TStrings *Doc);
   // error checks cpunk
   bool __fastcall CpkListNewRemailer(TStrings *cpklist);
   bool __fastcall CpkListOk(TStrings *doctxt);
   bool __fastcall CpkRingOk(TStrings *doctxt);
   bool __fastcall CpkKeysTooOld();
   // error checks mix
   bool __fastcall MixListNewRemailer(TStrings *mixlist);
   bool __fastcall MixListOk(TStrings *doctxt);
   bool __fastcall MixRingOk(TStrings *doctxt);
   bool __fastcall MixKeysTooOld();
   // message map
   void virtual __fastcall WMGetButtonClick(TMessage& Msg);
   BEGIN_MESSAGE_MAP
   MESSAGE_HANDLER(WM_GETBUTTONCLICK,TMessage,WMGetButtonClick)
   END_MESSAGE_MAP(TForm)
};

//---------------------------------------------------------------------------
extern TRemailerDlg *RemailerDlg;
//---------------------------------------------------------------------------
#endif
